use mox::Chunk;
use mox::OptCode;
mod debug;

use debug::disassemble_chunk;

fn main() {
    let mut chunk = Chunk::new();
    let constant_idx: u8 = chunk.write_value(1.2);
    chunk.write(OptCode::OpConstant.into());
    chunk.write(constant_idx);
    chunk.write(OptCode::OpReturn.into());

    disassemble_chunk(&chunk, "test chunk");
}
